import java.awt.Graphics;
import javax.swing.Icon;
import javax.swing.JComponent;

public class ImageComponent extends JComponent {

    private Icon _icon;

    public ImageComponent(Icon icon) {
        _icon = icon;
    }

    public void setIcon(Icon icon) {
        _icon = icon;
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        int w = _icon.getIconWidth();
        int h = _icon.getIconHeight();
        int x = (800 - w)/2;
        int y = (600 - h)/2;
        _icon.paintIcon(this, g, x, y);
    }

}
